Bug 160157 - Nautilus won't browse Windows root shares
Nautilus won't browse Windows root shares
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
: Reopened
Depends On:
Blocks: 198694
  Show dependency treegraph
Reported: 2005-06-12 00:50 EDT by Ian Laurie
Modified: 2015-03-03 17:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-07 01:38:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Laurie 2005-06-12 00:50:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
In a mixed Linux and Windows environment, when viewing Samba and Windows
machines in Nautilus, you can double click on Samba boxes and the root 
shares will be displayed.  However if you try that with a Windows box an 
error dialog is displayed telling you you do not have sufficient permissions.

In RHEL3 you got a username and password dialog box the first time you did this,
and then the root shares would be visible.

In order to trigger a username and password dialog box in RHEL4, you need to
manually enter a share name, for example "smb://sirius/C$" in the location bar.
Once the name and password are entered, the specified share may be viewed.

I can see no way at all to view a list of available shares in Nautilus with
RHEL4 as you could with Nautilus in RHEL3.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Launch Nautilus.
2. Enter "smb:" in the location bar.
3. Double click the workgroup name.
4. Double click on a Windows box name.

Actual Results:  Error dialog box.

Expected Results:  I would expect to get a username and password dialog box as in RHEL3,
then see the root shares.

Additional info:

Even once Nautilus knows the username and password from specifying a share name
explicitly and gaining access, Nautilus can still not browse the root shares,
ie. entering "smb://sirius" still won't work, but "smb://sirius/public" will 
(assuming 'public' is a valid share name).

I notice FC3 has this bug also.
Comment 1 Ian Laurie 2005-06-12 01:01:34 EDT
A number of people are reporting this issue against FC3:

Comment 3 Bastien Nocera 2006-07-14 08:07:47 EDT
Alex and Nate Nielsen added much better authentication support to the SMB method
after FC3/FC4. Backporting the patches selectively would probably be a waste of
time, but pushing the changes wholesale a bit dangerous.

http://people.redhat.com/bnocera/gnome-vfs-smb/ contains test packages with the
current HEAD version of the Samba method backported.
Comment 4 RHEL Product and Program Management 2006-07-21 12:45:17 EDT
Quality Engineering Management has reviewed and declined this request.  You may appeal this decision by reopening this request.
Comment 5 Ian Laurie 2006-07-22 00:49:09 EDT
Reagarding Comment #3, installing those packages did't fix the problem for me,
despite restarting the system after installation.

Is anything else required to allow viewing root shares?
Comment 7 Bastien Nocera 2006-07-25 12:04:02 EDT
Apologies, this bug shouldn't have been closed.

Ian, re comment #5, I'm not sure why it didn't work, let me double-check what we
have in the packages.
Comment 8 RHEL Product and Program Management 2006-08-18 13:38:28 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 9 Bastien Nocera 2006-08-22 06:32:22 EDT
It seems to work fine here.
Which version of Windows are you using this against? Which security model do the
shares you're trying to see use: User, Share, Domain, or ADS?
Comment 15 Ian Laurie 2006-09-13 19:16:22 EDT
It is Windows 2000 and it is not running as part of a doamin.  Users require
username and passwords to access shares.  I think that means "User".  Note
that the Linux user account name did not line up with the Windows account
name, hence the need for the user/password dialog box.

This problem did not exist in RHEL3. It was introduced in FC3 (but was later
fixed I think by FC4).  At any rate it works in FC5.

I backdated my packages to RHEL4 standard.  To do more testing I'll have to
reinstall the packages from comment 3.

I can do this if the problem cannot be determined.  But the problem was
addressed and fixed somehow in the Fedora project.
Comment 16 Alexander Larsson 2006-09-14 06:18:00 EDT
Can you try the packages at:

They have a backport of the smb implementation from gnome-vfs 2.16.0, which
seems to work better.
Comment 17 Alexander Larsson 2006-09-14 06:21:37 EDT
When testing, make sure you log out so that the old gnome-vfs-daemon process
goes away.
Comment 18 Ian Laurie 2006-09-14 17:24:05 EDT
I installed Alex's packages. Although I have not had a chance to
do any serious testing, I definitely *can* view root shares now.

I'll test more thoroughly over the next 24 hours, but it looks
very promising so far.
Comment 19 Bastien Nocera 2006-09-15 09:04:57 EDT
(In reply to comment #16)
> Can you try the packages at:
> http://people.redhat.com/~alexl/RPMS/gnome-vfs2/
> They have a backport of the smb implementation from gnome-vfs 2.16.0, which
> seems to work better.

So, the code in 2.18 is broken?
Comment 20 Ian Laurie 2006-09-15 21:51:03 EDT
I have tested these packages on 3 systems.  It worked perfectly on 2 of them
after a logout/in.  On the 3rd machine I had to reboot in order to get working
behavior, I suspect it was because of the dependancies I had to install for that
reduced size installation (Thinkpad 600E).

In order to install the upgraded gnome packages (on the 600E) I also had to
install these dependancies:


However, Alex's packages seem to work perfectly now on 3 systems.  Root shares
are now visible, username/password dialog boxes appear as they should, files
transfer perfectly etc.

This has been an excellent result.  Thank you.
Comment 21 Alexander Larsson 2006-09-18 04:01:56 EDT
bastien: 2.18? Did you mean 2.14? I just used the latest version, as i know
there was some authentication fixes in 2.16.
Comment 22 Bastien Nocera 2006-09-19 09:28:18 EDT
Sorry, I mean 2.16, ie. the latest gnome-vfs.

I'm just wondering how it could be that your version works, whereas my version
of the packages (based on 2.15.something, ie. HEAD the day I created the
packages) didn't.
Comment 23 Alexander Larsson 2006-09-19 11:57:27 EDT
No idea....
Comment 24 Ian Laurie 2006-09-19 17:37:14 EDT
Do you think that this point is important?  If so I can back-up to
Bastien's packages and re-test, and provide any info you require.

Let me know if you want me to do this.
Comment 25 Alexander Larsson 2006-09-20 04:51:22 EDT
I don't think its overly important really.
Comment 26 Bastien Nocera 2006-09-20 09:30:03 EDT
I'll add that it's not important for this particular problem right now. But it
would be nice to avoid having a regression in RHEL5...
Comment 27 Alexander Larsson 2006-09-21 05:02:55 EDT
But RHEL5 will be using 2.16.0. IE the same code.

Note You need to log in before you can comment on or make changes to this bug.